%global packname  gmp
%global rlibdir  %{_libdir}/R/library

# Rmpfr requires this package.
%global with_loop 0

Name:             R-%{packname}
Version:          0.5.13.1
Release:          1%{?dist}
Summary:          Multiple Precision Arithmetic

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_0.5-13.1.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-methods
# Suggests:  R-Rmpfr
# LinkingTo:
# Enhances:

Requires:         R-methods
Suggests:         R-Rmpfr
BuildRequires:    R-devel tex(latex)
BuildRequires:    gmp-devel >= 4.2.3
BuildRequires:    R-methods
%if %{with_loop}
BuildRequires:    R-Rmpfr
%endif

%description
Multiple Precision Arithmetic (big integers and rationals, prime number
tests, matrix computation), "arithmetic without limitations" using the C
library GMP (GNU Multiple Precision Arithmetic).


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%if %{with_loop}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/data


%changelog
* Sun Mar 25 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.5.13.1-1
- initial package for Fedora
